'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Actions = require('../../Actions');

var _RowLargeCellActions = require('./RowLargeCellActions.scss');

var _RowLargeCellActions2 = _interopRequireDefault(_RowLargeCellActions);

var _RowTableCellActions = require('./RowTableCellActions.scss');

var _RowTableCellActions2 = _interopRequireDefault(_RowTableCellActions);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LIST_ACTION_CLASS_NAME = 'tc-list-actions';

/**
 * Cell that renders actions
 */
function CellActions(_ref) {
	var cellData = _ref.cellData;

	return _react2.default.createElement(
		'div',
		{
			className: (0, _classnames2.default)(LIST_ACTION_CLASS_NAME, _RowTableCellActions2.default[LIST_ACTION_CLASS_NAME], _RowLargeCellActions2.default[LIST_ACTION_CLASS_NAME])
		},
		_react2.default.createElement(_Actions.Actions, {
			actions: cellData,
			hideLabel: true,
			link: true
		})
	);
}

CellActions.displayName = 'VirtualizedList(CellActions)';
CellActions.propTypes = {
	cellData: _react.PropTypes.arrayOf(_react.PropTypes.shape(_Actions.Actions.propTypes))
};

exports.default = CellActions;