'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Jso = require('./Jso.scss');

var _Jso2 = _interopRequireDefault(_Jso);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * cellData : the data from collection (rowData[dataKey])
 * columnData : the data passed from VirtualizedList.Content > columnData, enhanced with the list id
 * dataKey : the property key
 * rowData : the collection item
 * rowIndex : the row (item) index
 */
function Jso(_ref) {
	var cellData = _ref.cellData,
	    columnData = _ref.columnData,
	    dataKey = _ref.dataKey,
	    rowData = _ref.rowData,
	    rowIndex = _ref.rowIndex;

	return _react2.default.createElement('div', { className: 'jso ' + _Jso2.default['jso'] });
}

Jso.displayName = 'VirtualizedList(Jso)';
Jso.propTypes = {
	/** The cell value : props.rowData[props.dataKey] */
	cellData: _react.PropTypes.string,
	/** The custom props passed to <VirtualizedList.Content columnData={}>. */
	columnData: _react.PropTypes.shape({}),
	/** The data property key. */
	dataKey: _react.PropTypes.string,
	/** The collection item. */
	rowData: _react.PropTypes.object, // eslint-disable-line
	/** The collection item index. */
	rowIndex: _react.PropTypes.number
};

exports.default = Jso;